Request class for TransactGetItems operation which supports a single model class only.

### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, TransactGetItemsInput, TransactGetSingleTableRequest<T>>
  - TransactGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- execNoMap
- returnConsumedCapacity

## Constructors

### constructor

- new TransactGetSingleTableRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>): TransactGetSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:17

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

  #### Returns TransactGetSingleTableRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: TransactGetItemsInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### exec

- exec(): Promise<T[]>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:44

  execute request and return the parsed items

  #### Returns Promise<T[]>

### execFullResponse

- execFullResponse(): Promise<TransactGetResponse<T>>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:36

  #### Returns Promise<TransactGetResponse<T>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:32

  fetch all entries and return the raw response (without parsing the attributes to js objects)

  #### Returns Promise<TransactGetItemsOutput>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns TransactGetSingleTableRequest<T>